# List_All_Certificate_Attributes

Retrieve a certificate's attributes.

`GET /v2/certificates/{id}/attributes`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Certificates
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Certificates/List_All_Certificate_Attributes/

## Description

Retrieve all attributes for a certificate.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the certificate object. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CertificateAttribute` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CertificateAttribute`

Certificate Attribute Model

| Property | Type | Required | Description |
|---|---|---|---|
| `description` | string | No | The description of the Certificate Attribute. Example: `Certificate is an affidavit and will only provide temporary exemption.`. |
| `id` | integer | No | System Generated Certificate Attribute id Example: `1`. |
| `name` | string | No | The name of the Certificate Attribute. Example: `AFFIDAVIT`. |
| `system_code` | boolean | No | Designates if the Certificate Attribute was system generated or not. Example: `false`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/certificates/{id}/attributes" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```